/* FOOTER */

.site-footer { 
    background-color: var(--color-main);
    color: var(--color-white);
    letter-spacing: 0.05em;
} 

.site-footer a, .site-footer a:visited { 
    color: var(--color-white);
    text-decoration: none;
} 

.footer-inner {
    max-width: 420px;
    margin-inline: auto;
    padding: var(--space-l) var(--space-s);
}

.footer-left { grid-area: left; }
.footer-nav { grid-area: nav; }
.footer-sns { grid-area: sns; }
.copyright { grid-area: copy; }

.footer-main{
    width: 300px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
    "left nav"
    "sns sns"
    "copy copy";
    grid-template-rows: auto auto auto auto;
    align-items: start;
    column-gap: var(--space-m);
    row-gap: 2px;
    justify-content: center;
}

.footer-left{
    width: fit-content;
    min-width: 180px;
    display: flex;
    flex-direction: column;
    gap: 0;
    font-size: var(--font-size-s);
}

.footer-logo {
    font-size: var(--font-size-xxl);
    margin-bottom: var(--space-m);
    line-height: 1;
}

.footer-hours p {
    margin-bottom: var(--space-s);
}

.phone-link {
  display: inline-flex;
  align-items: center;
  font-size: var(--font-size-l);
  text-underline-offset: 2px;
  gap: var(--space-s);
}

.footer-address a,.footer-address a:visited {
  text-decoration: underline;
  text-underline-offset: 2px;
}

.footer-address a:hover{
  color : var(--color-bg);
  text-decoration: none;
}

.phone-icon {
  width: 30px;
  height: 30px;
  fill: currentColor;
}

.footer-right {
  display: contents;
}

.footer-nav{
    width: 100px;
    display:flex;
    flex-direction:column;
    gap: 17.5px;
    font-size: var(--font-size-ml);
    line-height: 1;
}

.footer-nav a,
.footer-nav a:visited,{
  color: var(--color-white);
  text-decoration: none;
}

.footer-nav a:hover {
    color: var(--color-white);
    text-decoration: underline;
}

.footer-sns{
    margin-bottom: var(--space-mm);
    display:flex;
    gap: 30px;
    justify-content: center;
}

.footer-sns.footer-sns-pc {
  display: none;
}

.footer-sns.footer-sns-sp {
  display: flex;
}

.sns-icon{
    width: 35px;
    height: 35px;
    fill: none;
    stroke: currentColor;
    stroke-width: 1.2;
}

.sns-icon:hover{
  color: var(--color-bg);
}

.copyright {
    margin-inline: auto;
    text-align: center;
    font-size: var(--font-size-xxs);
    line-height: 1;
}

.copyright-pc {
  display: none;
}

.copyright-sp {
  display: block;
  margin-inline: auto;
  text-align: center;
}

 /* =================================================
   ************** メディアクエリ 768px〜1023px *********
====================================================*/
@media (min-width: 768px) {

  .footer-inner,
  footer.site-footer div.container {
    max-width: 1023px;
  }

    .footer-main {
      width: 350px;
      column-gap: var(--space-xl);
    }
}

 /* =================================================
   ************** メディアクエリ 1024px〜 **************
====================================================*/

@media (min-width: 1024px) {

  footer div.container{
    width: auto;
    height: 220px;
}

  .footer-inner {
    max-width: 100%;
    width: 1200px;
    padding: var(--space-l) var(--space-ll);
  }

  .footer-main {
    width: 100%;
    display: grid;
    grid-template-columns: max-content max-content;
    grid-template-areas: "left right";
    column-gap: 60px;
    justify-content: center;
    align-items: start;
  }

   .footer-left {
    grid-area: left;
    display: grid;
    grid-template-columns: 230px 175px 165px;
    column-gap: 10px;
    width: auto;
    min-width: 0;
  }

  .footer-brand {
    width: 210px;
    grid-column: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0;
    text-align: center;
  }

  .footer-logo {
    margin-bottom: var(--space-s);
  }

  .footer-address {
    grid-column: 2;
  }

  .footer-address p {
    margin-bottom: var(--space-s);
    line-height: 1.5;
  }

  .footer-address p:nth-child(2) { margin-bottom: var(--space-xs); } 

  .footer-hours {
    grid-column: 3;
  }

  .footer-right {
    grid-area: right;
    display: grid;
    row-gap: 5px;
  }

  .footer-nav {
    width: 330px; 
    display: grid;
    grid-template-columns: 80px 110px 110px;
    grid-template-rows: repeat(3, auto);
    column-gap: 15px;
    row-gap: 20px;
  }

  .footer-nav a:nth-child(1) { grid-column: 1; grid-row: 1; } /* HOME */
  .footer-nav a:nth-child(2) { grid-column: 1; grid-row: 2; } /* DOG */
  .footer-nav a:nth-child(3) { grid-column: 1; grid-row: 3; } /* CAT */

  .footer-nav a:nth-child(4) { grid-column: 2; grid-row: 1; } /* TRIMMING */
  .footer-nav a:nth-child(5) { grid-column: 2; grid-row: 2; } /* ACCESS */
  .footer-nav a:nth-child(6) { grid-column: 2; grid-row: 3; } /* CONTACT */

  .footer-nav a:nth-child(7) { grid-column: 3; grid-row: 1; } /* COMPANY */

  .footer-sns.footer-sns-pc {
    display: flex;
    justify-self: end;
    margin-right: 10px;
    transform: translateY(40px);
  }

  .footer-sns.footer-sns-sp {
    display: none;
  }

  .copyright-pc {
    display: block;
    margin-top: 0;
    margin-bottom: var(--space-m);
    font-size: var(--font-size-xxs);
    white-space: nowrap;
  }

  .copyright-sp {
    display: none;
  }


}